package com.qiyou.mb.android.beans.basic;
 
import com.qiyou.mb.android.utils.enums.mediaStatus;
import com.qiyou.mb.android.utils.enums.mediaType;


public class Media {

	public Media() { 
	}
	private mediaType type;
	private String uri;//source file
	private String svrUri;//source file
	private String svrThumbUrl;
	private String cmt;//comment
	private long time;
	private int trackSvrNumber;
	private int trackId;
	private mediaStatus status =mediaStatus.NORMAL;
	
	public mediaType getType() {
		if(type==null) type=mediaType.PIC;
		return type;
	}
	 
	public void setType(mediaType type) {
		this.type = type;
	}
 
	public String getUri() {
		return uri;
	}
	public void setUri(String uri) {
		this.uri = uri;
	}
	public String getComment() {
		return cmt;
	}
	public void setComment(String cmt) {
		this.cmt = cmt;
	}
	public long getTime() {
		return time;
	}
	public void setTime(long time) {
		this.time = time;
	}
	 
	public mediaStatus getStatus() {
		return status;
	}

	public void setStatus(mediaStatus status) {
		this.status = status;
	}

	public String getSvrUri() {
		return svrUri;
	}

	public void setSvrUri(String svrUri) {
		this.svrUri = svrUri;
	}

	public int getTrackSvrNumber() {
		return trackSvrNumber;
	}

	public void setTrackSvrNumber(int trackSvrNumber) {
		this.trackSvrNumber = trackSvrNumber;
	}

	public int getTrackId() {
		return trackId;
	}

	public void setTrackId(int trackId) {
		this.trackId = trackId;
	}

	public String getSvrThumbUrl() {
		return svrThumbUrl;
	}

	public void setSvrThumbUrl(String svrThumbUrl) {
		this.svrThumbUrl = svrThumbUrl;
	}

}
